]> code.delx.au - gnu-emacs/blob - m4/gnulib-comp.m4
Merge from gnulib.
[gnu-emacs] / m4 / gnulib-comp.m4
1 # DO NOT EDIT! GENERATED AUTOMATICALLY!
2 # Copyright (C) 2002-2013 Free Software Foundation, Inc.
3 #
4 # This file is free software; you can redistribute it and/or modify
5 # it under the terms of the GNU General Public License as published by
6 # the Free Software Foundation; either version 3 of the License, or
7 # (at your option) any later version.
8 #
9 # This file is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY; without even the implied warranty of
11 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
12 # GNU General Public License for more details.
13 #
14 # You should have received a copy of the GNU General Public License
15 # along with this file. If not, see <http://www.gnu.org/licenses/>.
16 #
17 # As a special exception to the GNU General Public License,
18 # this file may be distributed as part of a program that
19 # contains a configuration script generated by Autoconf, under
20 # the same distribution terms as the rest of that program.
21 #
22 # Generated by gnulib-tool.
23 #
24 # This file represents the compiled summary of the specification in
25 # gnulib-cache.m4. It lists the computed macro invocations that need
26 # to be invoked from configure.ac.
27 # In projects that use version control, this file can be treated like
28 # other built files.
29
30
31 # This macro should be invoked from ./configure.ac, in the section
32 # "Checks for programs", right after AC_PROG_CC, and certainly before
33 # any checks for libraries, header files, types and library functions.
34 AC_DEFUN([gl_EARLY],
35 [
36 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37 m4_pattern_allow([^gl_ES$])dnl a valid locale name
38 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
40 AC_REQUIRE([gl_PROG_AR_RANLIB])
41 # Code from module alloca-opt:
42 # Code from module allocator:
43 # Code from module at-internal:
44 # Code from module c-ctype:
45 # Code from module c-strcase:
46 # Code from module careadlinkat:
47 # Code from module clock-time:
48 # Code from module close-stream:
49 # Code from module crypto/md5:
50 # Code from module crypto/sha1:
51 # Code from module crypto/sha256:
52 # Code from module crypto/sha512:
53 # Code from module dirent:
54 # Code from module dosname:
55 # Code from module dtoastr:
56 # Code from module dtotimespec:
57 # Code from module dup2:
58 # Code from module environ:
59 # Code from module euidaccess:
60 # Code from module execinfo:
61 # Code from module extensions:
62 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
63 # Code from module extern-inline:
64 # Code from module faccessat:
65 # Code from module fcntl-h:
66 # Code from module fdopendir:
67 # Code from module filemode:
68 # Code from module fpending:
69 # Code from module fstatat:
70 # Code from module getgroups:
71 # Code from module getloadavg:
72 # Code from module getopt-gnu:
73 # Code from module getopt-posix:
74 # Code from module gettext-h:
75 # Code from module gettime:
76 # Code from module gettimeofday:
77 # Code from module group-member:
78 # Code from module ignore-value:
79 # Code from module include_next:
80 # Code from module intprops:
81 # Code from module inttypes-incomplete:
82 # Code from module largefile:
83 AC_REQUIRE([AC_SYS_LARGEFILE])
84 # Code from module lstat:
85 # Code from module manywarnings:
86 # Code from module memrchr:
87 # Code from module mktime:
88 # Code from module multiarch:
89 # Code from module nocrash:
90 # Code from module openat-h:
91 # Code from module pathmax:
92 # Code from module pselect:
93 # Code from module pthread_sigmask:
94 # Code from module putenv:
95 # Code from module readlink:
96 # Code from module readlinkat:
97 # Code from module root-uid:
98 # Code from module sig2str:
99 # Code from module signal-h:
100 # Code from module snippet/_Noreturn:
101 # Code from module snippet/arg-nonnull:
102 # Code from module snippet/c++defs:
103 # Code from module snippet/warn-on-use:
104 # Code from module socklen:
105 # Code from module ssize_t:
106 # Code from module stat:
107 # Code from module stat-time:
108 # Code from module stdalign:
109 # Code from module stdarg:
110 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
111 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
112 dnl gl_PROG_CC_C99 arranges for this. With older Autoconf gl_PROG_CC_C99
113 dnl shouldn't hurt, though installers are on their own to set c99 mode.
114 gl_PROG_CC_C99
115 # Code from module stdbool:
116 # Code from module stddef:
117 # Code from module stdint:
118 # Code from module stdio:
119 # Code from module stdlib:
120 # Code from module strftime:
121 # Code from module string:
122 # Code from module strtoimax:
123 # Code from module strtoll:
124 # Code from module strtoull:
125 # Code from module strtoumax:
126 # Code from module symlink:
127 # Code from module sys_select:
128 # Code from module sys_stat:
129 # Code from module sys_time:
130 # Code from module time:
131 # Code from module time_r:
132 # Code from module timer-time:
133 # Code from module timespec:
134 # Code from module timespec-add:
135 # Code from module timespec-sub:
136 # Code from module u64:
137 # Code from module unistd:
138 # Code from module unsetenv:
139 # Code from module utimens:
140 # Code from module verify:
141 # Code from module warnings:
142 # Code from module xalloc-oversized:
143 ])
144
145 # This macro should be invoked from ./configure.ac, in the section
146 # "Check for header files, types and library functions".
147 AC_DEFUN([gl_INIT],
148 [
149 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
150 gl_cond_libtool=false
151 gl_libdeps=
152 gl_ltlibdeps=
153 gl_m4_base='m4'
154 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
155 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
156 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
157 m4_pushdef([gl_LIBSOURCES_LIST], [])
158 m4_pushdef([gl_LIBSOURCES_DIR], [])
159 gl_COMMON
160 gl_source_base='lib'
161 gl_FUNC_ALLOCA
162 AC_CHECK_FUNCS_ONCE([readlinkat])
163 gl_CLOCK_TIME
164 gl_CLOSE_STREAM
165 gl_MODULE_INDICATOR([close-stream])
166 gl_MD5
167 gl_SHA1
168 gl_SHA256
169 gl_SHA512
170 gl_DIRENT_H
171 AC_REQUIRE([gl_C99_STRTOLD])
172 gl_FUNC_DUP2
173 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
174 AC_LIBOBJ([dup2])
175 gl_PREREQ_DUP2
176 fi
177 gl_UNISTD_MODULE_INDICATOR([dup2])
178 gl_ENVIRON
179 gl_UNISTD_MODULE_INDICATOR([environ])
180 gl_EXECINFO_H
181 AC_REQUIRE([gl_EXTERN_INLINE])
182 gl_FUNC_FACCESSAT
183 if test $HAVE_FACCESSAT = 0; then
184 AC_LIBOBJ([faccessat])
185 gl_PREREQ_FACCESSAT
186 fi
187 gl_MODULE_INDICATOR([faccessat])
188 gl_UNISTD_MODULE_INDICATOR([faccessat])
189 gl_FCNTL_H
190 gl_FUNC_FDOPENDIR
191 if test $HAVE_FDOPENDIR = 0 || test $REPLACE_FDOPENDIR = 1; then
192 AC_LIBOBJ([fdopendir])
193 fi
194 gl_DIRENT_MODULE_INDICATOR([fdopendir])
195 gl_MODULE_INDICATOR([fdopendir])
196 gl_FILEMODE
197 gl_FUNC_FPENDING
198 if test $ac_cv_func___fpending = no; then
199 AC_LIBOBJ([fpending])
200 gl_PREREQ_FPENDING
201 fi
202 gl_FUNC_FSTATAT
203 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
204 AC_LIBOBJ([fstatat])
205 fi
206 gl_SYS_STAT_MODULE_INDICATOR([fstatat])
207 gl_GETLOADAVG
208 if test $HAVE_GETLOADAVG = 0; then
209 AC_LIBOBJ([getloadavg])
210 gl_PREREQ_GETLOADAVG
211 fi
212 gl_STDLIB_MODULE_INDICATOR([getloadavg])
213 gl_FUNC_GETOPT_GNU
214 if test $REPLACE_GETOPT = 1; then
215 AC_LIBOBJ([getopt])
216 AC_LIBOBJ([getopt1])
217 gl_PREREQ_GETOPT
218 dnl Arrange for unistd.h to include getopt.h.
219 GNULIB_GL_UNISTD_H_GETOPT=1
220 fi
221 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
222 gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
223 gl_FUNC_GETOPT_POSIX
224 if test $REPLACE_GETOPT = 1; then
225 AC_LIBOBJ([getopt])
226 AC_LIBOBJ([getopt1])
227 gl_PREREQ_GETOPT
228 dnl Arrange for unistd.h to include getopt.h.
229 GNULIB_GL_UNISTD_H_GETOPT=1
230 fi
231 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
232 gl_GETTIME
233 gl_FUNC_GETTIMEOFDAY
234 if test $HAVE_GETTIMEOFDAY = 0 || test $REPLACE_GETTIMEOFDAY = 1; then
235 AC_LIBOBJ([gettimeofday])
236 gl_PREREQ_GETTIMEOFDAY
237 fi
238 gl_SYS_TIME_MODULE_INDICATOR([gettimeofday])
239 gl_INTTYPES_INCOMPLETE
240 AC_REQUIRE([gl_LARGEFILE])
241 gl_FUNC_LSTAT
242 if test $REPLACE_LSTAT = 1; then
243 AC_LIBOBJ([lstat])
244 gl_PREREQ_LSTAT
245 fi
246 gl_SYS_STAT_MODULE_INDICATOR([lstat])
247 gl_FUNC_MEMRCHR
248 if test $ac_cv_func_memrchr = no; then
249 AC_LIBOBJ([memrchr])
250 gl_PREREQ_MEMRCHR
251 fi
252 gl_STRING_MODULE_INDICATOR([memrchr])
253 gl_FUNC_MKTIME
254 if test $REPLACE_MKTIME = 1; then
255 AC_LIBOBJ([mktime])
256 gl_PREREQ_MKTIME
257 fi
258 gl_TIME_MODULE_INDICATOR([mktime])
259 gl_MULTIARCH
260 gl_FUNC_PSELECT
261 if test $HAVE_PSELECT = 0 || test $REPLACE_PSELECT = 1; then
262 AC_LIBOBJ([pselect])
263 fi
264 gl_SYS_SELECT_MODULE_INDICATOR([pselect])
265 gl_FUNC_PTHREAD_SIGMASK
266 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
267 AC_LIBOBJ([pthread_sigmask])
268 gl_PREREQ_PTHREAD_SIGMASK
269 fi
270 gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
271 gl_FUNC_PUTENV
272 if test $REPLACE_PUTENV = 1; then
273 AC_LIBOBJ([putenv])
274 gl_PREREQ_PUTENV
275 fi
276 gl_STDLIB_MODULE_INDICATOR([putenv])
277 gl_FUNC_READLINK
278 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
279 AC_LIBOBJ([readlink])
280 gl_PREREQ_READLINK
281 fi
282 gl_UNISTD_MODULE_INDICATOR([readlink])
283 gl_FUNC_READLINKAT
284 if test $HAVE_READLINKAT = 0; then
285 AC_LIBOBJ([readlinkat])
286 fi
287 gl_UNISTD_MODULE_INDICATOR([readlinkat])
288 gl_FUNC_SIG2STR
289 if test $ac_cv_func_sig2str = no; then
290 AC_LIBOBJ([sig2str])
291 gl_PREREQ_SIG2STR
292 fi
293 gl_SIGNAL_H
294 gl_TYPE_SOCKLEN_T
295 gt_TYPE_SSIZE_T
296 gl_STAT_TIME
297 gl_STAT_BIRTHTIME
298 gl_STDALIGN_H
299 gl_STDARG_H
300 AM_STDBOOL_H
301 gl_STDDEF_H
302 gl_STDINT_H
303 gl_STDIO_H
304 gl_STDLIB_H
305 gl_FUNC_GNU_STRFTIME
306 gl_HEADER_STRING_H
307 gl_FUNC_STRTOIMAX
308 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
309 AC_LIBOBJ([strtoimax])
310 gl_PREREQ_STRTOIMAX
311 fi
312 gl_INTTYPES_MODULE_INDICATOR([strtoimax])
313 gl_FUNC_STRTOUMAX
314 if test $ac_cv_func_strtoumax = no; then
315 AC_LIBOBJ([strtoumax])
316 gl_PREREQ_STRTOUMAX
317 fi
318 gl_INTTYPES_MODULE_INDICATOR([strtoumax])
319 gl_FUNC_SYMLINK
320 if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
321 AC_LIBOBJ([symlink])
322 fi
323 gl_UNISTD_MODULE_INDICATOR([symlink])
324 gl_HEADER_SYS_SELECT
325 AC_PROG_MKDIR_P
326 gl_HEADER_SYS_STAT_H
327 AC_PROG_MKDIR_P
328 gl_HEADER_SYS_TIME_H
329 AC_PROG_MKDIR_P
330 gl_HEADER_TIME_H
331 gl_TIME_R
332 if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
333 AC_LIBOBJ([time_r])
334 gl_PREREQ_TIME_R
335 fi
336 gl_TIME_MODULE_INDICATOR([time_r])
337 gl_TIMER_TIME
338 gl_TIMESPEC
339 gl_UNISTD_H
340 gl_FUNC_UNSETENV
341 if test $HAVE_UNSETENV = 0 || test $REPLACE_UNSETENV = 1; then
342 AC_LIBOBJ([unsetenv])
343 gl_PREREQ_UNSETENV
344 fi
345 gl_STDLIB_MODULE_INDICATOR([unsetenv])
346 gl_UTIMENS
347 gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b=false
348 gl_gnulib_enabled_dosname=false
349 gl_gnulib_enabled_euidaccess=false
350 gl_gnulib_enabled_getgroups=false
351 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
352 gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1=false
353 gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7=false
354 gl_gnulib_enabled_pathmax=false
355 gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c=false
356 gl_gnulib_enabled_stat=false
357 gl_gnulib_enabled_strtoll=false
358 gl_gnulib_enabled_strtoull=false
359 gl_gnulib_enabled_verify=false
360 gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec=false
361 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b ()
362 {
363 if ! $gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b; then
364 AC_LIBOBJ([openat-proc])
365 gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b=true
366 fi
367 }
368 func_gl_gnulib_m4code_dosname ()
369 {
370 if ! $gl_gnulib_enabled_dosname; then
371 gl_gnulib_enabled_dosname=true
372 fi
373 }
374 func_gl_gnulib_m4code_euidaccess ()
375 {
376 if ! $gl_gnulib_enabled_euidaccess; then
377 gl_FUNC_EUIDACCESS
378 if test $HAVE_EUIDACCESS = 0; then
379 AC_LIBOBJ([euidaccess])
380 gl_PREREQ_EUIDACCESS
381 fi
382 gl_UNISTD_MODULE_INDICATOR([euidaccess])
383 gl_gnulib_enabled_euidaccess=true
384 if test $HAVE_EUIDACCESS = 0; then
385 func_gl_gnulib_m4code_a9786850e999ae65a836a6041e8e5ed1
386 fi
387 func_gl_gnulib_m4code_6099e9737f757db36c47fa9d9f02e88c
388 if test $HAVE_EUIDACCESS = 0; then
389 func_gl_gnulib_m4code_stat
390 fi
391 fi
392 }
393 func_gl_gnulib_m4code_getgroups ()
394 {
395 if ! $gl_gnulib_enabled_getgroups; then
396 gl_FUNC_GETGROUPS
397 if test $HAVE_GETGROUPS = 0 || test $REPLACE_GETGROUPS = 1; then
398 AC_LIBOBJ([getgroups])
399 fi
400 gl_UNISTD_MODULE_INDICATOR([getgroups])
401 gl_gnulib_enabled_getgroups=true
402 fi
403 }
404 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
405 {
406 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
407 AC_SUBST([LIBINTL])
408 AC_SUBST([LTLIBINTL])
409 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
410 fi
411 }
412 func_gl_gnulib_m4code_a9786850e999ae65a836a6041e8e5ed1 ()
413 {
414 if ! $gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1; then
415 gl_FUNC_GROUP_MEMBER
416 if test $HAVE_GROUP_MEMBER = 0; then
417 AC_LIBOBJ([group-member])
418 gl_PREREQ_GROUP_MEMBER
419 fi
420 gl_UNISTD_MODULE_INDICATOR([group-member])
421 gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1=true
422 if test $HAVE_GROUP_MEMBER = 0; then
423 func_gl_gnulib_m4code_getgroups
424 fi
425 if test $HAVE_GROUP_MEMBER = 0; then
426 func_gl_gnulib_m4code_682e609604ccaac6be382e4ee3a4eaec
427 fi
428 fi
429 }
430 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7 ()
431 {
432 if ! $gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7; then
433 gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7=true
434 fi
435 }
436 func_gl_gnulib_m4code_pathmax ()
437 {
438 if ! $gl_gnulib_enabled_pathmax; then
439 gl_PATHMAX
440 gl_gnulib_enabled_pathmax=true
441 fi
442 }
443 func_gl_gnulib_m4code_6099e9737f757db36c47fa9d9f02e88c ()
444 {
445 if ! $gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c; then
446 gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c=true
447 fi
448 }
449 func_gl_gnulib_m4code_stat ()
450 {
451 if ! $gl_gnulib_enabled_stat; then
452 gl_FUNC_STAT
453 if test $REPLACE_STAT = 1; then
454 AC_LIBOBJ([stat])
455 gl_PREREQ_STAT
456 fi
457 gl_SYS_STAT_MODULE_INDICATOR([stat])
458 gl_gnulib_enabled_stat=true
459 if test $REPLACE_STAT = 1; then
460 func_gl_gnulib_m4code_dosname
461 fi
462 if test $REPLACE_STAT = 1; then
463 func_gl_gnulib_m4code_pathmax
464 fi
465 if test $REPLACE_STAT = 1; then
466 func_gl_gnulib_m4code_verify
467 fi
468 fi
469 }
470 func_gl_gnulib_m4code_strtoll ()
471 {
472 if ! $gl_gnulib_enabled_strtoll; then
473 gl_FUNC_STRTOLL
474 if test $HAVE_STRTOLL = 0; then
475 AC_LIBOBJ([strtoll])
476 gl_PREREQ_STRTOLL
477 fi
478 gl_STDLIB_MODULE_INDICATOR([strtoll])
479 gl_gnulib_enabled_strtoll=true
480 fi
481 }
482 func_gl_gnulib_m4code_strtoull ()
483 {
484 if ! $gl_gnulib_enabled_strtoull; then
485 gl_FUNC_STRTOULL
486 if test $HAVE_STRTOULL = 0; then
487 AC_LIBOBJ([strtoull])
488 gl_PREREQ_STRTOULL
489 fi
490 gl_STDLIB_MODULE_INDICATOR([strtoull])
491 gl_gnulib_enabled_strtoull=true
492 fi
493 }
494 func_gl_gnulib_m4code_verify ()
495 {
496 if ! $gl_gnulib_enabled_verify; then
497 gl_gnulib_enabled_verify=true
498 fi
499 }
500 func_gl_gnulib_m4code_682e609604ccaac6be382e4ee3a4eaec ()
501 {
502 if ! $gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec; then
503 gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec=true
504 fi
505 }
506 if test $HAVE_FACCESSAT = 0; then
507 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
508 fi
509 if test $HAVE_FACCESSAT = 0; then
510 func_gl_gnulib_m4code_dosname
511 fi
512 if test $HAVE_FACCESSAT = 0; then
513 func_gl_gnulib_m4code_euidaccess
514 fi
515 if test $HAVE_FACCESSAT = 0; then
516 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
517 fi
518 if test $HAVE_FDOPENDIR = 0; then
519 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
520 fi
521 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
522 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
523 fi
524 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
525 func_gl_gnulib_m4code_dosname
526 fi
527 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
528 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
529 fi
530 if test $REPLACE_GETOPT = 1; then
531 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
532 fi
533 if test $REPLACE_LSTAT = 1; then
534 func_gl_gnulib_m4code_dosname
535 fi
536 if test $REPLACE_LSTAT = 1; then
537 func_gl_gnulib_m4code_stat
538 fi
539 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
540 func_gl_gnulib_m4code_stat
541 fi
542 if test $HAVE_READLINKAT = 0; then
543 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
544 fi
545 if test $HAVE_READLINKAT = 0; then
546 func_gl_gnulib_m4code_dosname
547 fi
548 if test $HAVE_READLINKAT = 0; then
549 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
550 fi
551 if { test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; } && test $ac_cv_type_long_long_int = yes; then
552 func_gl_gnulib_m4code_strtoll
553 fi
554 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
555 func_gl_gnulib_m4code_verify
556 fi
557 if test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
558 func_gl_gnulib_m4code_strtoull
559 fi
560 if test $ac_cv_func_strtoumax = no; then
561 func_gl_gnulib_m4code_verify
562 fi
563 m4_pattern_allow([^gl_GNULIB_ENABLED_])
564 AM_CONDITIONAL([gl_GNULIB_ENABLED_260941c0e5dc67ec9e87d1fb321c300b], [$gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b])
565 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
566 AM_CONDITIONAL([gl_GNULIB_ENABLED_euidaccess], [$gl_gnulib_enabled_euidaccess])
567 AM_CONDITIONAL([gl_GNULIB_ENABLED_getgroups], [$gl_gnulib_enabled_getgroups])
568 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
569 AM_CONDITIONAL([gl_GNULIB_ENABLED_a9786850e999ae65a836a6041e8e5ed1], [$gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1])
570 AM_CONDITIONAL([gl_GNULIB_ENABLED_03e0aaad4cb89ca757653bd367a6ccb7], [$gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7])
571 AM_CONDITIONAL([gl_GNULIB_ENABLED_pathmax], [$gl_gnulib_enabled_pathmax])
572 AM_CONDITIONAL([gl_GNULIB_ENABLED_6099e9737f757db36c47fa9d9f02e88c], [$gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c])
573 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
574 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
575 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
576 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
577 AM_CONDITIONAL([gl_GNULIB_ENABLED_682e609604ccaac6be382e4ee3a4eaec], [$gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec])
578 # End of code from modules
579 m4_ifval(gl_LIBSOURCES_LIST, [
580 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
581 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
582 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
583 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
584 exit 1
585 fi
586 done])dnl
587 m4_if(m4_sysval, [0], [],
588 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
589 ])
590 m4_popdef([gl_LIBSOURCES_DIR])
591 m4_popdef([gl_LIBSOURCES_LIST])
592 m4_popdef([AC_LIBSOURCES])
593 m4_popdef([AC_REPLACE_FUNCS])
594 m4_popdef([AC_LIBOBJ])
595 AC_CONFIG_COMMANDS_PRE([
596 gl_libobjs=
597 gl_ltlibobjs=
598 if test -n "$gl_LIBOBJS"; then
599 # Remove the extension.
600 sed_drop_objext='s/\.o$//;s/\.obj$//'
601 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
602 gl_libobjs="$gl_libobjs $i.$ac_objext"
603 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
604 done
605 fi
606 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
607 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
608 ])
609 gltests_libdeps=
610 gltests_ltlibdeps=
611 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
612 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
613 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
614 m4_pushdef([gltests_LIBSOURCES_LIST], [])
615 m4_pushdef([gltests_LIBSOURCES_DIR], [])
616 gl_COMMON
617 gl_source_base='tests'
618 changequote(,)dnl
619 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
620 changequote([, ])dnl
621 AC_SUBST([gltests_WITNESS])
622 gl_module_indicator_condition=$gltests_WITNESS
623 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
624 m4_pattern_allow([^gl_GNULIB_ENABLED_])
625 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
626 m4_ifval(gltests_LIBSOURCES_LIST, [
627 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
628 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
629 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
630 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
631 exit 1
632 fi
633 done])dnl
634 m4_if(m4_sysval, [0], [],
635 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
636 ])
637 m4_popdef([gltests_LIBSOURCES_DIR])
638 m4_popdef([gltests_LIBSOURCES_LIST])
639 m4_popdef([AC_LIBSOURCES])
640 m4_popdef([AC_REPLACE_FUNCS])
641 m4_popdef([AC_LIBOBJ])
642 AC_CONFIG_COMMANDS_PRE([
643 gltests_libobjs=
644 gltests_ltlibobjs=
645 if test -n "$gltests_LIBOBJS"; then
646 # Remove the extension.
647 sed_drop_objext='s/\.o$//;s/\.obj$//'
648 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
649 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
650 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
651 done
652 fi
653 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
654 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
655 ])
656 LIBGNU_LIBDEPS="$gl_libdeps"
657 AC_SUBST([LIBGNU_LIBDEPS])
658 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
659 AC_SUBST([LIBGNU_LTLIBDEPS])
660 ])
661
662 # Like AC_LIBOBJ, except that the module name goes
663 # into gl_LIBOBJS instead of into LIBOBJS.
664 AC_DEFUN([gl_LIBOBJ], [
665 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
666 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
667 ])
668
669 # Like AC_REPLACE_FUNCS, except that the module name goes
670 # into gl_LIBOBJS instead of into LIBOBJS.
671 AC_DEFUN([gl_REPLACE_FUNCS], [
672 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
673 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
674 ])
675
676 # Like AC_LIBSOURCES, except the directory where the source file is
677 # expected is derived from the gnulib-tool parameterization,
678 # and alloca is special cased (for the alloca-opt module).
679 # We could also entirely rely on EXTRA_lib..._SOURCES.
680 AC_DEFUN([gl_LIBSOURCES], [
681 m4_foreach([_gl_NAME], [$1], [
682 m4_if(_gl_NAME, [alloca.c], [], [
683 m4_define([gl_LIBSOURCES_DIR], [lib])
684 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
685 ])
686 ])
687 ])
688
689 # Like AC_LIBOBJ, except that the module name goes
690 # into gltests_LIBOBJS instead of into LIBOBJS.
691 AC_DEFUN([gltests_LIBOBJ], [
692 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
693 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
694 ])
695
696 # Like AC_REPLACE_FUNCS, except that the module name goes
697 # into gltests_LIBOBJS instead of into LIBOBJS.
698 AC_DEFUN([gltests_REPLACE_FUNCS], [
699 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
700 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
701 ])
702
703 # Like AC_LIBSOURCES, except the directory where the source file is
704 # expected is derived from the gnulib-tool parameterization,
705 # and alloca is special cased (for the alloca-opt module).
706 # We could also entirely rely on EXTRA_lib..._SOURCES.
707 AC_DEFUN([gltests_LIBSOURCES], [
708 m4_foreach([_gl_NAME], [$1], [
709 m4_if(_gl_NAME, [alloca.c], [], [
710 m4_define([gltests_LIBSOURCES_DIR], [tests])
711 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
712 ])
713 ])
714 ])
715
716 # This macro records the list of files which have been installed by
717 # gnulib-tool and may be removed by future gnulib-tool invocations.
718 AC_DEFUN([gl_FILE_LIST], [
719 build-aux/snippet/_Noreturn.h
720 build-aux/snippet/arg-nonnull.h
721 build-aux/snippet/c++defs.h
722 build-aux/snippet/warn-on-use.h
723 lib/alloca.in.h
724 lib/allocator.c
725 lib/allocator.h
726 lib/at-func.c
727 lib/c-ctype.c
728 lib/c-ctype.h
729 lib/c-strcase.h
730 lib/c-strcasecmp.c
731 lib/c-strncasecmp.c
732 lib/careadlinkat.c
733 lib/careadlinkat.h
734 lib/close-stream.c
735 lib/close-stream.h
736 lib/dirent.in.h
737 lib/dosname.h
738 lib/dtoastr.c
739 lib/dtotimespec.c
740 lib/dup2.c
741 lib/euidaccess.c
742 lib/execinfo.c
743 lib/execinfo.in.h
744 lib/faccessat.c
745 lib/fcntl.in.h
746 lib/fdopendir.c
747 lib/filemode.c
748 lib/filemode.h
749 lib/fpending.c
750 lib/fpending.h
751 lib/fstatat.c
752 lib/ftoastr.c
753 lib/ftoastr.h
754 lib/getgroups.c
755 lib/getloadavg.c
756 lib/getopt.c
757 lib/getopt.in.h
758 lib/getopt1.c
759 lib/getopt_int.h
760 lib/gettext.h
761 lib/gettime.c
762 lib/gettimeofday.c
763 lib/group-member.c
764 lib/ignore-value.h
765 lib/intprops.h
766 lib/inttypes.in.h
767 lib/lstat.c
768 lib/md5.c
769 lib/md5.h
770 lib/memrchr.c
771 lib/mktime-internal.h
772 lib/mktime.c
773 lib/openat-priv.h
774 lib/openat-proc.c
775 lib/openat.h
776 lib/pathmax.h
777 lib/pselect.c
778 lib/pthread_sigmask.c
779 lib/putenv.c
780 lib/readlink.c
781 lib/readlinkat.c
782 lib/root-uid.h
783 lib/sha1.c
784 lib/sha1.h
785 lib/sha256.c
786 lib/sha256.h
787 lib/sha512.c
788 lib/sha512.h
789 lib/sig2str.c
790 lib/sig2str.h
791 lib/signal.in.h
792 lib/stat-time.c
793 lib/stat-time.h
794 lib/stat.c
795 lib/stdalign.in.h
796 lib/stdarg.in.h
797 lib/stdbool.in.h
798 lib/stddef.in.h
799 lib/stdint.in.h
800 lib/stdio.in.h
801 lib/stdlib.in.h
802 lib/strftime.c
803 lib/strftime.h
804 lib/string.in.h
805 lib/strtoimax.c
806 lib/strtol.c
807 lib/strtoll.c
808 lib/strtoul.c
809 lib/strtoull.c
810 lib/strtoumax.c
811 lib/symlink.c
812 lib/sys_select.in.h
813 lib/sys_stat.in.h
814 lib/sys_time.in.h
815 lib/time.in.h
816 lib/time_r.c
817 lib/timespec-add.c
818 lib/timespec-sub.c
819 lib/timespec.c
820 lib/timespec.h
821 lib/u64.c
822 lib/u64.h
823 lib/unistd.c
824 lib/unistd.in.h
825 lib/unsetenv.c
826 lib/utimens.c
827 lib/utimens.h
828 lib/verify.h
829 lib/xalloc-oversized.h
830 m4/00gnulib.m4
831 m4/alloca.m4
832 m4/c-strtod.m4
833 m4/clock_time.m4
834 m4/close-stream.m4
835 m4/dirent_h.m4
836 m4/dup2.m4
837 m4/environ.m4
838 m4/euidaccess.m4
839 m4/execinfo.m4
840 m4/extensions.m4
841 m4/extern-inline.m4
842 m4/faccessat.m4
843 m4/fcntl-o.m4
844 m4/fcntl_h.m4
845 m4/fdopendir.m4
846 m4/filemode.m4
847 m4/fpending.m4
848 m4/fstatat.m4
849 m4/getgroups.m4
850 m4/getloadavg.m4
851 m4/getopt.m4
852 m4/gettime.m4
853 m4/gettimeofday.m4
854 m4/gnulib-common.m4
855 m4/group-member.m4
856 m4/include_next.m4
857 m4/inttypes.m4
858 m4/largefile.m4
859 m4/longlong.m4
860 m4/lstat.m4
861 m4/manywarnings.m4
862 m4/md5.m4
863 m4/memrchr.m4
864 m4/mktime.m4
865 m4/multiarch.m4
866 m4/nocrash.m4
867 m4/off_t.m4
868 m4/pathmax.m4
869 m4/pselect.m4
870 m4/pthread_sigmask.m4
871 m4/putenv.m4
872 m4/readlink.m4
873 m4/readlinkat.m4
874 m4/setenv.m4
875 m4/sha1.m4
876 m4/sha256.m4
877 m4/sha512.m4
878 m4/sig2str.m4
879 m4/signal_h.m4
880 m4/socklen.m4
881 m4/ssize_t.m4
882 m4/st_dm_mode.m4
883 m4/stat-time.m4
884 m4/stat.m4
885 m4/stdalign.m4
886 m4/stdarg.m4
887 m4/stdbool.m4
888 m4/stddef_h.m4
889 m4/stdint.m4
890 m4/stdio_h.m4
891 m4/stdlib_h.m4
892 m4/strftime.m4
893 m4/string_h.m4
894 m4/strtoimax.m4
895 m4/strtoll.m4
896 m4/strtoull.m4
897 m4/strtoumax.m4
898 m4/symlink.m4
899 m4/sys_select_h.m4
900 m4/sys_socket_h.m4
901 m4/sys_stat_h.m4
902 m4/sys_time_h.m4
903 m4/time_h.m4
904 m4/time_r.m4
905 m4/timer_time.m4
906 m4/timespec.m4
907 m4/tm_gmtoff.m4
908 m4/unistd_h.m4
909 m4/utimbuf.m4
910 m4/utimens.m4
911 m4/utimes.m4
912 m4/warn-on-use.m4
913 m4/warnings.m4
914 m4/wchar_t.m4
915 ])